Page MenuHomePhabricator

[Bug] parser fatal : Catchable fatal error: Argument 3 passed to CoreParserFunctions::formatRaw() must be an instance of Language
Closed, ResolvedPublic

Description

Introduced in 1.29-wmf.1

This is an error message give:

Catchable fatal error: Argument 3 passed to CoreParserFunctions::formatRaw() must be an instance of Language, StubUserLang given in /srv/mediawiki/php-1.29.0-wmf.1/includes/parser/CoreParserFunctions.php on line 496

seems related to rMW4290f686c07265d40718fc3358f196de41bbde57 (T62604)

Event Timeline

Matanya created this task.Nov 2 2016, 8:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2016, 8:03 PM
Matanya triaged this task as Unbreak Now! priority.Nov 2 2016, 8:04 PM
Matanya updated the task description. (Show Details)
Matanya added subscribers: Nikerabbit, Amire80.
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptNov 2 2016, 8:04 PM

Change 319398 had a related patch set uploaded (by Legoktm):
Revert "Parser functions now format numbers according to page language"

https://gerrit.wikimedia.org/r/319398

Change 319399 had a related patch set uploaded (by Legoktm):
Revert "Parser functions now format numbers according to page language"

https://gerrit.wikimedia.org/r/319399

Change 319400 had a related patch set uploaded (by Legoktm):
Revert "Parser functions now format numbers according to page language"

https://gerrit.wikimedia.org/r/319400

Change 319403 had a related patch set uploaded (by Arseny1992):
1.29wmf1 deployment blocker - Revert "Parser functions now format numbers according to page language"

https://gerrit.wikimedia.org/r/319403

Change 319403 abandoned by Arseny1992:
1.29wmf1 deployment blocker - Revert "Parser functions now format numbers according to page language"

Reason:
Race condition with change 319398

https://gerrit.wikimedia.org/r/319403

Change 319398 merged by jenkins-bot:
Revert "Parser functions now format numbers according to page language"

https://gerrit.wikimedia.org/r/319398

Change 319399 merged by jenkins-bot:
Revert "Parser functions now format numbers according to page language"

https://gerrit.wikimedia.org/r/319399

Change 319400 merged by jenkins-bot:
Revert "Parser functions now format numbers according to page language"

https://gerrit.wikimedia.org/r/319400

mmodell added a subscriber: mmodell.Nov 2 2016, 9:09 PM

Ok this is deployed on group1...

Mentioned in SAL (#wikimedia-operations) [2016-11-02T21:09:40Z] <twentyafterfour@tin> Synchronized php-1.29.0-wmf.1/includes/parser/CoreParserFunctions.php: Deploy https://gerrit.wikimedia.org/r/#/c/319400/ refs T149840, T149059 (duration: 00m 51s)

I guess this is resolved? I haven't seen any more of it.

mmodell closed this task as Resolved.Nov 3 2016, 6:13 PM
mmodell claimed this task.